Bug 982695 - Regression: Unable to disable or change workspace navigation shortcuts
Regression: Unable to disable or change workspace navigation shortcuts
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Control Center Maintainer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-09 11:19 EDT by Mat Booth
Modified: 2017-06-17 12:02 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:03:49 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mat Booth 2013-07-09 11:19:20 EDT
I am unable to change or disable the "Move to workspace above/below" shortcuts in Gnome 3. If I change or disable the shortcut, I can still use Ctrl+Alt+Up/Down to switch workspaces.

Another application (Eclipse) has shortcuts that clash with the default Gnome 3 shortcuts for switching workspaces, so I wish to disable the Gnome 3 shortcuts.

This used to work in Fedora 18/Gnome 3.6 so it appears to be a regression.


Version-Release number of selected component (if applicable):
control-center-3.8.3-2.fc19.x86_64
gnome-settings-daemon-3.8.3-3.fc19.x86_64
gnome-settings-daemon-updates-3.8.3-3.fc19.x86_64
gnome-shell-3.8.3-3.fc19.x86_64


Steps to Reproduce:
1. Open Settings-->Keyboard-->Shortcuts-->Navigation
2. Disable shortcuts for "Move to workspace above/below" or change the shortcuts away from the defaults
3. Still able to use Ctrl+Alt+Up/Down to change workspaces
Comment 1 peereken 2013-07-30 08:05:33 EDT
I had the same problem. The new keybinding you can define in 'Settings-->Keyboard-->Shortcuts-->Navigation' is appended to the previous/default one. 

for example:
gsettings get org.gnome.desktop.wm.keybindings switch-to-workspace-down
['<Primary><Shift>Down', '<Control><Alt>Down']


I managed to remove the default keybinding using the following commands
gsettings set org.gnome.desktop.wm.keybindings switch-to-workspace-down "['']"
gsettings set org.gnome.desktop.wm.keybindings switch-to-workspace-up "['']"

This clears all defined shortcuts for those tasks. And then just use 'Settings-->Keyboard-->Shortcuts-->Navigation' to define the desired shortcuts.
Comment 2 Mat Booth 2013-07-30 09:05:34 EDT
I had not figured out the workaround so this is extremely helpful!

Thank-you, anonymous hero!
Comment 3 Mat Booth 2014-04-02 06:21:11 EDT
This is still a problem in F20
Comment 4 Fedora End Of Life 2015-05-29 05:10:06 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2015-06-29 08:03:49 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 6 Rik 2017-06-17 11:06:56 EDT
This is still a problem in Fedora 26 beta. Also the workaround does not work. 

I have disabled the navigation shortcut to switch workspace. So this shortcut has no function anymore in Gnome but still this shortcut is "swallowed". Btw, I have disabled allmost all navigation shorcuts which have something to do with workspaces/windows.
Comment 7 Rik 2017-06-17 12:02:34 EDT
I do not see a way to reopen this issue.

Note You need to log in before you can comment on or make changes to this bug.